Open CASCADE Technology: TestTopOpeDraw_DrawableP3D Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TestTopOpeDraw_DrawableP3D Class Reference

`#include <TestTopOpeDraw_DrawableP3D.hxx>`

Inheritance diagram for TestTopOpeDraw_DrawableP3D:
[legend]

## Public Member Functions
| TestTopOpeDraw_DrawableP3D (const gp_Pnt &P, const Draw_Color &PColor, const Standard_Real moveX=0.0, const Standard_Real moveY=0.0)
| TestTopOpeDraw_DrawableP3D (const gp_Pnt &P, const Draw_Color &PColor, const Standard_CString Text, const Draw_Color &TextColor, const Standard_Real moveX=0.0, const Standard_Real moveY=0.0)
| TestTopOpeDraw_DrawableP3D (const gp_Pnt &P, const Draw_MarkerShape T, const Draw_Color &PColor, const Standard_CString Text, const Draw_Color &TextColor, const Standard_Integer Size=2, const Standard_Real moveX=0.0, const Standard_Real moveY=0.0)
| TestTopOpeDraw_DrawableP3D (const gp_Pnt &P, const Draw_MarkerShape T, const Draw_Color &PColor, const Standard_CString Text, const Draw_Color &TextColor, const Standard_Real Tol, const Standard_Real moveX=0.0, const Standard_Real moveY=0.0)
void | ChangePnt (const gp_Pnt &P)
virtual void | DrawOn (Draw_Display &dis) const
Public Member Functions inherited from Draw_Marker3D
| Draw_Marker3D (const gp_Pnt &P, const Draw_MarkerShape T, const Draw_Color &C, const Standard_Integer ISize=5)
| Draw_Marker3D (const gp_Pnt &P, const Draw_MarkerShape T, const Draw_Color &C, const Standard_Real RSize)
gp_Pnt & | ChangePos ()
| myPos field More...
virtual Standard_Boolean | PickReject (const Standard_Real X, const Standard_Real Y, const Standard_Real Prec) const
| Returs always false. More...
Public Member Functions inherited from Draw_Drawable3D
virtual Handle< Draw_Drawable3D > | Copy () const
| For variable copy. More...
virtual void | Dump (Standard_OStream &S) const
| For variable dump. More...
virtual void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. More...
virtual Standard_Boolean | Is3D () const
| Is a 3D object. (Default True). More...
void | SetBounds (const Standard_Real xmin, const Standard_Real xmax, const Standard_Real ymin, const Standard_Real ymax)
void | Bounds (Standard_Real &xmin, Standard_Real &xmax, Standard_Real &ymin, Standard_Real &ymax) const
Standard_Boolean | Visible () const
void | Visible (const Standard_Boolean V)
Standard_Boolean | Protected () const
void | Protected (const Standard_Boolean P)
Standard_CString | Name () const
virtual void | Name (const Standard_CString N)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from Draw_Drawable3D
| Draw_Drawable3D ()

## Constructor & Destructor Documentation

TestTopOpeDraw_DrawableP3D::TestTopOpeDraw_DrawableP3D | ( | const gp_Pnt & | P,
|  | const Draw_Color & | PColor,
|  | const Standard_Real | moveX = `0.0`,
|  | const Standard_Real | moveY = `0.0`
| ) |  |

TestTopOpeDraw_DrawableP3D::TestTopOpeDraw_DrawableP3D | ( | const gp_Pnt & | P,
|  | const Draw_Color & | PColor,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor,
|  | const Standard_Real | moveX = `0.0`,
|  | const Standard_Real | moveY = `0.0`
| ) |  |

TestTopOpeDraw_DrawableP3D::TestTopOpeDraw_DrawableP3D | ( | const gp_Pnt & | P,
|  | const Draw_MarkerShape | T,
|  | const Draw_Color & | PColor,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor,
|  | const Standard_Integer | Size = `2`,
|  | const Standard_Real | moveX = `0.0`,
|  | const Standard_Real | moveY = `0.0`
| ) |  |

TestTopOpeDraw_DrawableP3D::TestTopOpeDraw_DrawableP3D | ( | const gp_Pnt & | P,
|  | const Draw_MarkerShape | T,
|  | const Draw_Color & | PColor,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor,
|  | const Standard_Real | Tol,
|  | const Standard_Real | moveX = `0.0`,
|  | const Standard_Real | moveY = `0.0`
| ) |  |

## Member Function Documentation

void TestTopOpeDraw_DrawableP3D::ChangePnt | ( | const gp_Pnt & | P | ) |

virtual void TestTopOpeDraw_DrawableP3D::DrawOn | ( | Draw_Display & | dis | ) | const
| virtual

Reimplemented from Draw_Marker3D.

The documentation for this class was generated from the following file:

- TestTopOpeDraw_DrawableP3D.hxx